import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    component: () => import('@/views/layout'),
    children: [{
      path: '',
      name: '首页',
      meta: {
        title: '每日商品聚焦'
      },
      component: () => import('@/views/home')
    },
    {
      path: 'my',
      name: '我的',
      meta: {
        title: '我的'
      },
      component: () => import('@/views/my')
    }]
  },
  {
    path: '/login',
    name: 'login',
    meta: {
      title: '登陆/注册'
    },
    component: () => import('@/views/login')
  },
  {
    path: '/applyfor',
    name: 'applyfor',
    meta: {
      title: '提交信息'
    },
    component: () => import('@/views/home/components/applyFor.vue')
  },
  {
    path: '/submit',
    name: 'submit',
    meta: {
      title: '提交成功'
    },
    component: () => import('@/views/home/components/submitSuccess.vue')
  },
  {
    path: '/breed',
    name: 'breed',
    meta: {
      title: '已购品种'
    },
    component: () => import('@/views/my/components/breed.vue')
  },
  {
    path: '/collect',
    name: 'collect',
    meta: {
      title: '我的收藏'
    },
    component: () => import('@/views/my/components/collect.vue')
  },
  {
    path: '/particulars',
    name: 'particulars',
    meta: {
      title: '每日商品聚焦'
    },
    component: () => import('@/views/particulars')
  }
  ,{
    path: '/independent',
    name: 'independent',
    meta: {
      title: '每日商品聚焦'
    },
    component: () => import('@/views/independent')
  },
  {
    path: '/tokentoken',
    name: 'tokentoken',
    meta: {
      title: '每日商品聚焦'
    },
    component: () => import('@/views/particulars/token.vue')
  }
]

const router = new VueRouter({
  hashbang:true,  //去除#！开头
  transitionOnload:false,  //初次加载的时候是否对<router-view>处理场景切换效果
  history:true, //是否开启html5模式，去掉锚点
  saveScrollPosition:false, //记住页面的滚动位置 html5模式适用
  mode:'history',
  base:'/client', //这个很重要
  routes
})

export default router
