// 权限拦截 导航守卫 路由守卫  router
import router from '@/router' // 引入路由实例
import store from '@/store' // 引入vuex store实例
import {wechatLogin} from '@/api'
// 路由的前置守卫
router.beforeEach(function (to, from, next) { 
  const token = store.state.token  
  if(token){
    next()
  } else{  
      var code = ""
      var href = window.location.href;
      console.log(href);
      if (href.indexOf('?')!=-1) {
          let splitArr = href.split("?")
       if( splitArr.length>1){
        code = href.split("?")[1].split('&')[0]
       }  
      }
      if(code){
        code = code.split("=")[1]
        //调用后台wxLogin接口，获取token
        wechatLogin({Code:code}).then(res=>{
          if(!res.data.Success)return alert('登陆错误!')
          store.commit('setUser',res.data.Data.Authorization)
          if(res.data.Data.FirstLogin===0) {  //根据返回参数，如果需要强制跳转绑定注册页面，那么逻辑处理
            window.location.href = process.env.VUE_APP_BASE_API +'client/'
          }else{
            next('/login')
          }
        })
      }else{
        let url;
        if( process.env.NODE_ENV=='development'||process.env.NODE_ENV=='test' ){
          url = 'https://open.weixin.qq.com/connect/oauth2/authorize?appid=wx9b5d7291e581233a&redirect_uri=' + process.env.VUE_APP_BASE_API +'client' + '&response_type=code&scope=snsapi_base&state=STATE#wechat_redirect'
        }else{
          url = 'https://open.weixin.qq.com/connect/oauth2/authorize?appid=wx4a844c734d8c8e56&redirect_uri=' + process.env.VUE_APP_BASE_API+'client'  + '&response_type=code&scope=snsapi_base&state=STATE#wechat_redirect'
        }
        document.location.href = url;
      }
    }
}

)
// 后置守卫
router.afterEach(function () {

})
