/**
 * 封装 axios 请求模块
 */
 import axios from 'axios'
 import store from '@/store'
 import router from '@/router'
 import { Toast } from 'vant';
 const request = axios.create({
    baseURL:process.env.VUE_APP_BASE_API,
    timeout: 5000 // 定义5秒超时
 })
 // 添加请求拦截器
 request.interceptors.request.use(function (config) {
   //配置token
 const token =store.state.token

   if (token) {
     config.headers.Authorization = token

   }
   return config
 }, function (error) {
   return Promise.reject(error)
 })


 request.interceptors.response.use(response => {
    if(response.data.Ret===408) {
      store.commit("removeToken")
      router.push('/login')
      // Toast.fail('登陆过期，请重新登陆！');
      return Promise.reject(new Error(response.data.Msg))
    }
    return response
 })
 export default request
